Index: Singular/LIB/zeroset.lib
===================================================================
--- Singular/LIB/zeroset.lib	(revision f3c31a15740169790d1f07f8cb43045dd6f97991)
+++ Singular/LIB/zeroset.lib	(revision f49f5388f1e37257ead3324f014c95f3cbc639f4)
@@ -1,5 +1,5 @@
 // Last change 12.02.2001 (Eric Westenberger)
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: zeroset.lib,v 1.21 2009-04-06 14:12:09 seelisch Exp $";
+version="$Id: zeroset.lib,v 1.22 2009-04-08 11:00:08 seelisch Exp $";
 category="Symbolic-numerical solving";
 info="
@@ -82,7 +82,7 @@
          without multiplicities.
 RETURN:  ring, a polynomial ring over an extension field of the ground field,
-         containing a list 'roots' and polynomials 'newA' and 'f':
+         containing a list 'theRoots' and polynomials 'newA' and 'f':
   @format
-  - 'roots' is the list of roots of the polynomial f (no multiplicities)
+  - 'theRoots' is the list of roots of the polynomial f (no multiplicities)
   - if the ground field is Q(a') and the extension field is Q(a), then
     'newA' is the representation of a' in Q(a).
@@ -93,5 +93,5 @@
   @end format
 ASSUME:  ground field to be Q or a simple extension of Q given by a minpoly
-EXAMPLE: example  roots; shows an example
+EXAMPLE: example roots; shows an example
 "
 {
@@ -115,5 +115,5 @@
   // the coefficients of f.
 
-  list roots = result[1];
+  list theRoots = result[1];
   poly newA = result[2];
   map F = basering, maxideal(1);
@@ -125,15 +125,15 @@
   def RON = NewBaseRing();
   setring(RON);
-  list roots = imap(ROR, roots);
+  list theRoots = imap(ROR, theRoots);
   poly newA = imap(ROR, newA);
   poly f = imap(ROR, fn);
   kill ROR;
-  export(roots);
+  export(theRoots);
   export(newA);
   export(f); dbprint(dbPrt,"
-// 'roots' created a new ring which contains the list 'roots' and
+// 'roots' created a new ring which contains the list 'theRoots' and
 // the polynomials 'f' and 'newA'
 // To access the roots, newA and the new representation of f, type
-   def R = roots(f); setring R; roots; newA; f;
+   def R = roots(f); setring R; theRoots; newA; f;
 ");
   return(RON);
@@ -149,7 +149,7 @@
   newA;
   f;
-  roots;
+  theRoots;
   map F;
-  F[1] = roots[1];
+  F[1] = theRoots[1];
   F(f);
 }
@@ -170,5 +170,5 @@
 ASSUME:  basering = Q[x,a] ideal mpoly must be defined, it might be 0!
 NOTE:    might change the ideal mpoly!!
-EXAMPLE: example  roots; shows an example
+EXAMPLE: example rootsMain; shows an example
 "
 {
@@ -353,5 +353,5 @@
   // store the zero-set, minimal polynomial and the new representative of 'a'
 
-  list zeroset = result[1];
+  list theZeroset = result[1];
   poly newA = result[2];
   poly minPoly = result[3][1];
@@ -369,5 +369,5 @@
   setring RZBN;
 
-  list zeroset = imap(ZSR, zeroset);
+  list theZeroset = imap(ZSR, theZeroset);
   poly newA = imap(ZSR, newA);
   ideal id = imap(ZSR, id);
@@ -375,12 +375,12 @@
 
   export(id);
-  export(zeroset);
+  export(theZeroset);
   export(newA);
     dbprint(dbPrt,"
-// 'zeroSet' created a new ring which contains the list 'zeroset', the ideal
+// 'zeroSet' created a new ring which contains the list 'theZeroset', the ideal
 // 'id' and the polynomial 'newA'. 'id' is the ideal of the input transformed
 // w.r.t. 'newA'.
 // To access the zero-set, 'newA' and the new representation of the ideal, type
-   def R = zeroSet(I); setring R; zeroset; newA; id;
+   def R = zeroSet(I); setring R; theZeroset; newA; id;
 ");
   setring RZSB;
@@ -397,7 +397,7 @@
   newA;
   id;
-  zeroset;
-  map F1 = basering, zeroset[1];
-  map F2 = basering, zeroset[2];
+  theZeroset;
+  map F1 = basering, theZeroset[1];
+  map F2 = basering, theZeroset[2];
   F1(id);
   F2(id);
@@ -481,5 +481,5 @@
 NOTE: This procedure is outdated, and should no longer be used. Use div and mod 
 instead.
-EXAMPLE: example  Quotient; shows an example
+EXAMPLE: example Quotient; shows an example
 "
 {
@@ -620,5 +620,5 @@
 RETURN:  poly
 ASSUME:  f, g are polynomials in var(i), last variable is the algebraic number
-EXAMPLE: example  MEGCD; shows an example
+EXAMPLE: example MEGCD; shows an example
 "
 // might be extended to return s1, s2 s.t. f*s1 + g*s2 = gc
@@ -661,5 +661,5 @@
 ASSUME:  f must be squarefree, basering = Q(a)[x] and minpoly != 0.
 NOTE:    the norm is an element of Q[x]
-EXAMPLE: example  sqfrNorm; shows an example
+EXAMPLE: example sqfrNorm; shows an example
 "
 {
@@ -696,5 +696,5 @@
          'minpoly', this represents the ring Q(a)[x] together with 'minpoly'.
 NOTE:   the norm is an element of Q[x]
-EXAMPLE: example  SqfrNorm; shows an example
+EXAMPLE: example SqfrNorm; shows an example
 "
 {
@@ -748,5 +748,5 @@
          be defined, representing the minimal polynomial (it might be 0!).
 NOTE: outdated, use factorize instead
-EXAMPLE: example  Factor; shows an example
+EXAMPLE: example Factor; shows an example
 "
 {
@@ -814,5 +814,5 @@
 NOTE:    opt = 0  no primary decomposition
          opt > 0  use a primary decomposition
-EXAMPLE: example zeroSet; shows an example
+EXAMPLE: example zeroSetMain; shows an example
 "
 {
@@ -897,5 +897,5 @@
          ideal mpoly must be defined, it might be 0!
 NOTE:    might change 'mpoly' !!
-EXAMPLE: example  IdealSolve; shows an example
+EXAMPLE: example IdealSolve; shows an example
 "
 {
